Skip Menu |
 

This queue is for tickets about the libwww-perl CPAN distribution.

Report information
The Basics
Id: 101732
Status: resolved
Priority: 0/
Queue: libwww-perl

People
Owner: ether [...] cpan.org
Requestors: shay [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 6.08
Fixed in: 6.10



Subject: 'cpan install LWP' fails due to circular dependency
Download (untitled) / with headers
text/plain 373b
With a fresh perl-5.21.8 I'm trying to install libwww-perl, but can't (without user intervention) due to it depending on LWP-Protocol-https, which in turn depends on LWP::UserAgent, which is part of libwww-perl. In particular, the tests for LWP-Protocol-https require LWP::UserAgent, which obviously isn't installed yet. Complete output of 'cpan install LWP' is attached.
Subject: lwp.txt
Download lwp.txt
text/plain 7.3k
Reading 'C:\Users\Steve\.cpan\Metadata' Database was generated on Sun, 25 Jan 2015 16:53:15 GMT Running install for module 'LWP' Checksum for C:\Users\Steve\.cpan\sources\authors\id\M\MS\MSCHILLI\libwww-perl-6.08.tar.gz ok 'YAML' not installed, will not store persistent state Configuring M/MS/MSCHILLI/libwww-perl-6.08.tar.gz with Makefile.PL Checking if your kit is complete... Looks good Generating a nmake-style Makefile Writing Makefile for LWP Writing MYMETA.yml and MYMETA.json MSCHILLI/libwww-perl-6.08.tar.gz C:\Dev\Temp\mp24\perl\bin\perl.exe Makefile.PL -- OK Running make for M/MS/MSCHILLI/libwww-perl-6.08.tar.gz ---- Unsatisfied dependencies detected during ---- ---- MSCHILLI/libwww-perl-6.08.tar.gz ---- LWP::Protocol::https [requires,optional] Microsoft (R) Program Maintenance Utility Version 10.00.30319.01 Copyright (C) Microsoft Corporation. All rights reserved. cp lib/LWP/Protocol/cpan.pm blib\lib\LWP\Protocol\cpan.pm cp lib/LWP/Simple.pm blib\lib\LWP\Simple.pm cp lib/LWP/Protocol/file.pm blib\lib\LWP\Protocol\file.pm cp lib/LWP/Protocol/ftp.pm blib\lib\LWP\Protocol\ftp.pm cp lib/LWP/Authen/Basic.pm blib\lib\LWP\Authen\Basic.pm cp lib/LWP/Authen/Ntlm.pm blib\lib\LWP\Authen\Ntlm.pm cp lib/LWP/ConnCache.pm blib\lib\LWP\ConnCache.pm cp lib/LWP/Protocol/nntp.pm blib\lib\LWP\Protocol\nntp.pm cp lwpcook.pod blib\lib\lwpcook.pod cp lib/LWP/MemberMixin.pm blib\lib\LWP\MemberMixin.pm cp lib/LWP/Debug.pm blib\lib\LWP\Debug.pm cp lib/LWP/Protocol/loopback.pm blib\lib\LWP\Protocol\loopback.pm cp lib/LWP/Protocol.pm blib\lib\LWP\Protocol.pm cp lib/LWP/Protocol/mailto.pm blib\lib\LWP\Protocol\mailto.pm cp lib/LWP/RobotUA.pm blib\lib\LWP\RobotUA.pm cp lib/LWP/Protocol/nogo.pm blib\lib\LWP\Protocol\nogo.pm cp lib/LWP/Protocol/GHTTP.pm blib\lib\LWP\Protocol\GHTTP.pm cp lib/LWP/Authen/Digest.pm blib\lib\LWP\Authen\Digest.pm cp lib/LWP/Protocol/data.pm blib\lib\LWP\Protocol\data.pm cp lib/LWP.pm blib\lib\LWP.pm cp lib/LWP/DebugFile.pm blib\lib\LWP\DebugFile.pm cp lib/LWP/UserAgent.pm blib\lib\LWP\UserAgent.pm cp lib/LWP/Protocol/http.pm blib\lib\LWP\Protocol\http.pm cp lib/LWP/Protocol/gopher.pm blib\lib\LWP\Protocol\gopher.pm cp lwptut.pod blib\lib\lwptut.pod "C:\Dev\Temp\mp24\perl\bin\perl.exe" -MExtUtils::Command -e cp -- bin/lwp-request blib\script\lwp-request pl2bat.bat blib\script\lwp-request "C:\Dev\Temp\mp24\perl\bin\perl.exe" -MExtUtils::Command -e cp -- bin/lwp-download blib\script\lwp-download pl2bat.bat blib\script\lwp-download "C:\Dev\Temp\mp24\perl\bin\perl.exe" -MExtUtils::Command -e cp -- bin/lwp-dump blib\script\lwp-dump pl2bat.bat blib\script\lwp-dump "C:\Dev\Temp\mp24\perl\bin\perl.exe" -MExtUtils::Command -e cp -- bin/lwp-mirror blib\script\lwp-mirror pl2bat.bat blib\script\lwp-mirror MSCHILLI/libwww-perl-6.08.tar.gz "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\BIN\nmake.EXE" -- OK Running make test Microsoft (R) Program Maintenance Utility Version 10.00.30319.01 Copyright (C) Microsoft Corporation. All rights reserved. "C:\Dev\Temp\mp24\perl\bin\perl.exe" t/TEST 0 Can't open perl script "t": Permission denied NMAKE : fatal error U1077: 'C:\Dev\Temp\mp24\perl\bin\perl.exe' : return code '0xd' Stop. MSCHILLI/libwww-perl-6.08.tar.gz "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\BIN\nmake.EXE" test -- NOT OK //hint// to see the cpan-testers results for installing this module, try: reports MSCHILLI/libwww-perl-6.08.tar.gz Running install for module 'LWP::Protocol::https' Checksum for C:\Users\Steve\.cpan\sources\authors\id\M\MS\MSCHILLI\LWP-Protocol-https-6.06.tar.gz ok Configuring M/MS/MSCHILLI/LWP-Protocol-https-6.06.tar.gz with Makefile.PL Warning: prerequisite LWP::UserAgent 6.06 not found. Checking if your kit is complete... Looks good Generating a nmake-style Makefile Writing Makefile for LWP::Protocol::https Writing MYMETA.yml and MYMETA.json MSCHILLI/LWP-Protocol-https-6.06.tar.gz C:\Dev\Temp\mp24\perl\bin\perl.exe Makefile.PL -- OK Running make for M/MS/MSCHILLI/LWP-Protocol-https-6.06.tar.gz ---- Unsatisfied dependencies detected during ---- ---- MSCHILLI/LWP-Protocol-https-6.06.tar.gz ---- LWP::UserAgent [requires] Running install for module 'LWP::UserAgent' MSCHILLI/libwww-perl-6.08.tar.gz Has already been unwrapped into directory C:\Users\Steve\.cpan\build\libwww-perl-6.08-Rc2_At MSCHILLI/libwww-perl-6.08.tar.gz Has already been prepared MSCHILLI/libwww-perl-6.08.tar.gz Has already been made MSCHILLI/libwww-perl-6.08.tar.gz Won't repeat unsuccessful test during this command MSCHILLI/LWP-Protocol-https-6.06.tar.gz Has already been unwrapped into directory C:\Users\Steve\.cpan\build\LWP-Protocol-https-6.06-DhmF7X MSCHILLI/LWP-Protocol-https-6.06.tar.gz Has already been prepared Running make for M/MS/MSCHILLI/LWP-Protocol-https-6.06.tar.gz Warning: Prerequisite 'LWP::UserAgent => 6.06' for 'MSCHILLI/LWP-Protocol-https-6.06.tar.gz' failed when processing 'MSCHILLI/libwww-perl-6.08.tar.gz' with 'make_test => NO'. Continuing, but chances to succeed are limited. Microsoft (R) Program Maintenance Utility Version 10.00.30319.01 Copyright (C) Microsoft Corporation. All rights reserved. cp lib/LWP/Protocol/https.pm blib\lib\LWP\Protocol\https.pm MSCHILLI/LWP-Protocol-https-6.06.tar.gz "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\BIN\nmake.EXE" -- OK Running make test Microsoft (R) Program Maintenance Utility Version 10.00.30319.01 Copyright (C) Microsoft Corporation. All rights reserved. "C:\Dev\Temp\mp24\perl\bin\perl.exe" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib\lib', 'blib\arch')" t\*.t Can't locate LWP/UserAgent.pm in @INC (you may need to install the LWP::UserAgent module) (@INC contains: C:\Users\Steve\.cpan\build\LWP-Protocol-https-6.06-DhmF7X\blib\lib C:\Users\Steve\.cpan\build\LWP-Protocol-https-6.06-DhmF7X\blib\arch C:/Dev/Temp/mp24/perl/site/lib C:/Dev/Temp/mp24/perl/lib .) at t\apache.t line 6. BEGIN failed--compilation aborted at t\apache.t line 6. t\apache.t ....... Dubious, test returned 2 (wstat 512, 0x200) No subtests run Can't locate LWP/UserAgent.pm in @INC (you may need to install the LWP::UserAgent module) (@INC contains: C:\Users\Steve\.cpan\build\LWP-Protocol-https-6.06-DhmF7X\blib\lib C:\Users\Steve\.cpan\build\LWP-Protocol-https-6.06-DhmF7X\blib\arch C:/Dev/Temp/mp24/perl/site/lib C:/Dev/Temp/mp24/perl/lib .) at t\https_proxy.t line 13. BEGIN failed--compilation aborted at t\https_proxy.t line 13. t\https_proxy.t .. Dubious, test returned 2 (wstat 512, 0x200) No subtests run Test Summary Report ------------------- t\apache.t (Wstat: 512 Tests: 0 Failed: 0) Non-zero exit status: 2 Parse errors: No plan found in TAP output t\https_proxy.t (Wstat: 512 Tests: 0 Failed: 0) Non-zero exit status: 2 Parse errors: No plan found in TAP output Files=2, Tests=0, 1 wallclock secs ( 0.03 usr + 0.01 sys = 0.05 CPU) Result: FAIL Failed 2/2 test programs. 0/0 subtests failed. NMAKE : fatal error U1077: 'C:\Dev\Temp\mp24\perl\bin\perl.exe' : return code '0x2' Stop. MSCHILLI/LWP-Protocol-https-6.06.tar.gz "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\BIN\nmake.EXE" test -- NOT OK //hint// to see the cpan-testers results for installing this module, try: reports MSCHILLI/LWP-Protocol-https-6.06.tar.gz
Download (untitled) / with headers
text/plain 286b
In fact, the installation of LWP still fails even after a forced installation of LWP-Protocol-https because its own test suite fails to run, complaining "Can't open perl script "t": Permission denied". Output of 'cpan install LWP' after manually installing LWP-Protocol-https attached.
Subject: lwp2.txt
Download lwp2.txt
text/plain 3.2k
Reading 'C:\Users\Steve\.cpan\Metadata' Database was generated on Sun, 25 Jan 2015 16:53:15 GMT Running install for module 'LWP' Checksum for C:\Users\Steve\.cpan\sources\authors\id\M\MS\MSCHILLI\libwww-perl-6.08.tar.gz ok 'YAML' not installed, will not store persistent state Configuring M/MS/MSCHILLI/libwww-perl-6.08.tar.gz with Makefile.PL Checking if your kit is complete... Looks good Generating a nmake-style Makefile Writing Makefile for LWP Writing MYMETA.yml and MYMETA.json MSCHILLI/libwww-perl-6.08.tar.gz C:\Dev\Temp\mp24\perl\bin\perl.exe Makefile.PL -- OK Running make for M/MS/MSCHILLI/libwww-perl-6.08.tar.gz Microsoft (R) Program Maintenance Utility Version 10.00.30319.01 Copyright (C) Microsoft Corporation. All rights reserved. cp lib/LWP/Protocol/GHTTP.pm blib\lib\LWP\Protocol\GHTTP.pm cp lib/LWP/Protocol/file.pm blib\lib\LWP\Protocol\file.pm cp lib/LWP/Protocol/http.pm blib\lib\LWP\Protocol\http.pm cp lib/LWP.pm blib\lib\LWP.pm cp lib/LWP/Protocol/data.pm blib\lib\LWP\Protocol\data.pm cp lib/LWP/DebugFile.pm blib\lib\LWP\DebugFile.pm cp lib/LWP/Protocol/gopher.pm blib\lib\LWP\Protocol\gopher.pm cp lib/LWP/Protocol/ftp.pm blib\lib\LWP\Protocol\ftp.pm cp lib/LWP/Protocol/cpan.pm blib\lib\LWP\Protocol\cpan.pm cp lib/LWP/Simple.pm blib\lib\LWP\Simple.pm cp lib/LWP/UserAgent.pm blib\lib\LWP\UserAgent.pm cp lib/LWP/Protocol/nogo.pm blib\lib\LWP\Protocol\nogo.pm cp lib/LWP/Authen/Digest.pm blib\lib\LWP\Authen\Digest.pm cp lib/LWP/ConnCache.pm blib\lib\LWP\ConnCache.pm cp lib/LWP/Protocol/nntp.pm blib\lib\LWP\Protocol\nntp.pm cp lib/LWP/Debug.pm blib\lib\LWP\Debug.pm cp lib/LWP/Protocol/loopback.pm blib\lib\LWP\Protocol\loopback.pm cp lib/LWP/Protocol/mailto.pm blib\lib\LWP\Protocol\mailto.pm cp lwpcook.pod blib\lib\lwpcook.pod cp lib/LWP/Authen/Ntlm.pm blib\lib\LWP\Authen\Ntlm.pm cp lib/LWP/Authen/Basic.pm blib\lib\LWP\Authen\Basic.pm cp lib/LWP/RobotUA.pm blib\lib\LWP\RobotUA.pm cp lib/LWP/MemberMixin.pm blib\lib\LWP\MemberMixin.pm cp lib/LWP/Protocol.pm blib\lib\LWP\Protocol.pm cp lwptut.pod blib\lib\lwptut.pod "C:\Dev\Temp\mp24\perl\bin\perl.exe" -MExtUtils::Command -e cp -- bin/lwp-download blib\script\lwp-download pl2bat.bat blib\script\lwp-download "C:\Dev\Temp\mp24\perl\bin\perl.exe" -MExtUtils::Command -e cp -- bin/lwp-request blib\script\lwp-request pl2bat.bat blib\script\lwp-request "C:\Dev\Temp\mp24\perl\bin\perl.exe" -MExtUtils::Command -e cp -- bin/lwp-dump blib\script\lwp-dump pl2bat.bat blib\script\lwp-dump "C:\Dev\Temp\mp24\perl\bin\perl.exe" -MExtUtils::Command -e cp -- bin/lwp-mirror blib\script\lwp-mirror pl2bat.bat blib\script\lwp-mirror MSCHILLI/libwww-perl-6.08.tar.gz "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\BIN\nmake.EXE" -- OK Running make test Microsoft (R) Program Maintenance Utility Version 10.00.30319.01 Copyright (C) Microsoft Corporation. All rights reserved. "C:\Dev\Temp\mp24\perl\bin\perl.exe" t/TEST 0 Can't open perl script "t": Permission denied NMAKE : fatal error U1077: 'C:\Dev\Temp\mp24\perl\bin\perl.exe' : return code '0xd' Stop. MSCHILLI/libwww-perl-6.08.tar.gz "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\BIN\nmake.EXE" test -- NOT OK //hint// to see the cpan-testers results for installing this module, try: reports MSCHILLI/libwww-perl-6.08.tar.gz
Download (untitled) / with headers
text/plain 757b
Hi Steven, On Sun Jan 25 12:48:03 2015, SHAY wrote: Show quoted text
> In fact, the installation of LWP still fails even after a forced > installation of LWP-Protocol-https because its own test suite fails to > run, complaining "Can't open perl script "t": Permission denied".
For me, the test suite fails: robot/ua-get.t ...... 2/8 HTTP Server terminated robot/ua.t .......... 2/7 HTTP Server terminated and more of those failures. I'm using Strawberry Perl 5.20.1 64-bit. I *think* this might be a Perl 5.20 failure rather than a perl failure, I remember having built 6.06 before on Windows and can't remember having seen the isuse before. Right now, also 6.06 fails with these errors. Do you experience the same? ActiveState perl seems to work OK. -- Michiel
Download (untitled) / with headers
text/plain 828b
On 2015-01-25 12:41:50, SHAY wrote: Show quoted text
> With a fresh perl-5.21.8 I'm trying to install libwww-perl, but can't > (without user intervention) due to it depending on LWP-Protocol-https, > which in turn depends on LWP::UserAgent, which is part of libwww-perl. > > In particular, the tests for LWP-Protocol-https require > LWP::UserAgent, which obviously isn't installed yet. > > Complete output of 'cpan install LWP' is attached.
Just an idea: is recommends_policy enabled in your CPAN.pm's configuration? LWP-Protocol-https is listed as "recommends", see https://metacpan.org/source/MSCHILLI/libwww-perl-6.08/META.yml#L22 If this is the case, then probably LWP-Protocol-https should not list LWP as a prereq, and the test suite should be skipped if LWP is not yet installed, similar to the DateTime <-> DateTime::TimeZone combo.
Download (untitled) / with headers
text/plain 1.3k
On Wed Feb 11 06:49:38 2015, SREZIC wrote: Show quoted text
> On 2015-01-25 12:41:50, SHAY wrote:
> > With a fresh perl-5.21.8 I'm trying to install libwww-perl, but can't > > (without user intervention) due to it depending on LWP-Protocol- > > https, > > which in turn depends on LWP::UserAgent, which is part of libwww- > > perl. > > > > In particular, the tests for LWP-Protocol-https require > > LWP::UserAgent, which obviously isn't installed yet. > > > > Complete output of 'cpan install LWP' is attached.
> > Just an idea: is recommends_policy enabled in your CPAN.pm's > configuration? LWP-Protocol-https is listed as "recommends", see > https://metacpan.org/source/MSCHILLI/libwww-perl-6.08/META.yml#L22 > > If this is the case, then probably LWP-Protocol-https should not list > LWP as a prereq, and the test suite should be skipped if LWP is not > yet installed, similar to the DateTime <-> DateTime::TimeZone combo.
Yes, I did indeed have 'recommends_policy' => q[1], in my .cpan/CPAN/MyConfig.pm. I wasn't aware of that setting; it was just its default value. If I change that to 'recommends_policy' => q[0], then the output (attached) is much as before, but stops after the LWP test failures, without then attempting (and failing) to install LWP-Protocol-https. So yes, I think your suggestion would fix the main subject of this ticket. The failure of the LWP test suite is a separate issue, which I will log a new ticket for.
Subject: out.txt
Download out.txt
text/plain 3.2k
Reading 'C:\Users\shay\.cpan\Metadata' Database was generated on Thu, 12 Feb 2015 07:29:02 GMT Running install for module 'LWP' Checksum for C:\Users\shay\.cpan\sources\authors\id\E\ET\ETHER\libwww-perl-6.09.tar.gz ok 'YAML' not installed, will not store persistent state Configuring E/ET/ETHER/libwww-perl-6.09.tar.gz with Makefile.PL Checking if your kit is complete... Looks good Generating a nmake-style Makefile Writing Makefile for LWP Writing MYMETA.yml and MYMETA.json ETHER/libwww-perl-6.09.tar.gz C:\Dev\Temp\perl\bin\perl.exe Makefile.PL -- OK Running make for E/ET/ETHER/libwww-perl-6.09.tar.gz Microsoft (R) Program Maintenance Utility Version 10.00.30319.01 Copyright (C) Microsoft Corporation. All rights reserved. cp lib/LWP/Protocol/mailto.pm blib\lib\LWP\Protocol\mailto.pm cp lib/LWP/Protocol.pm blib\lib\LWP\Protocol.pm cp lib/LWP/Protocol/http.pm blib\lib\LWP\Protocol\http.pm cp lwpcook.pod blib\lib\lwpcook.pod cp lib/LWP/Protocol/GHTTP.pm blib\lib\LWP\Protocol\GHTTP.pm cp lib/LWP/Authen/Ntlm.pm blib\lib\LWP\Authen\Ntlm.pm cp lib/LWP/RobotUA.pm blib\lib\LWP\RobotUA.pm cp lib/LWP/Simple.pm blib\lib\LWP\Simple.pm cp lib/LWP/DebugFile.pm blib\lib\LWP\DebugFile.pm cp lib/LWP/UserAgent.pm blib\lib\LWP\UserAgent.pm cp lib/LWP/Protocol/nntp.pm blib\lib\LWP\Protocol\nntp.pm cp lib/LWP/Protocol/file.pm blib\lib\LWP\Protocol\file.pm cp lib/LWP/Protocol/gopher.pm blib\lib\LWP\Protocol\gopher.pm cp lib/LWP/Protocol/data.pm blib\lib\LWP\Protocol\data.pm cp lib/LWP/Protocol/nogo.pm blib\lib\LWP\Protocol\nogo.pm cp lib/LWP/Debug.pm blib\lib\LWP\Debug.pm cp lib/LWP/ConnCache.pm blib\lib\LWP\ConnCache.pm cp lib/LWP/Protocol/ftp.pm blib\lib\LWP\Protocol\ftp.pm cp lib/LWP/Authen/Digest.pm blib\lib\LWP\Authen\Digest.pm cp lib/LWP/Protocol/loopback.pm blib\lib\LWP\Protocol\loopback.pm cp lib/LWP/MemberMixin.pm blib\lib\LWP\MemberMixin.pm cp lib/LWP/Protocol/cpan.pm blib\lib\LWP\Protocol\cpan.pm cp lib/LWP.pm blib\lib\LWP.pm cp lib/LWP/Authen/Basic.pm blib\lib\LWP\Authen\Basic.pm cp lwptut.pod blib\lib\lwptut.pod "C:\Dev\Temp\perl\bin\perl.exe" -MExtUtils::Command -e cp -- bin/lwp-request blib\script\lwp-request pl2bat.bat blib\script\lwp-request "C:\Dev\Temp\perl\bin\perl.exe" -MExtUtils::Command -e cp -- bin/lwp-mirror blib\script\lwp-mirror pl2bat.bat blib\script\lwp-mirror "C:\Dev\Temp\perl\bin\perl.exe" -MExtUtils::Command -e cp -- bin/lwp-download blib\script\lwp-download pl2bat.bat blib\script\lwp-download "C:\Dev\Temp\perl\bin\perl.exe" -MExtUtils::Command -e cp -- bin/lwp-dump blib\script\lwp-dump pl2bat.bat blib\script\lwp-dump ETHER/libwww-perl-6.09.tar.gz "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\BIN\nmake.EXE" -- OK Running make test Microsoft (R) Program Maintenance Utility Version 10.00.30319.01 Copyright (C) Microsoft Corporation. All rights reserved. "C:\Dev\Temp\perl\bin\perl.exe" t/TEST 0 Can't open perl script "t": Permission denied NMAKE : fatal error U1077: 'C:\Dev\Temp\perl\bin\perl.exe' : return code '0xd' Stop. ETHER/libwww-perl-6.09.tar.gz "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\BIN\nmake.EXE" test -- NOT OK //hint// to see the cpan-testers results for installing this module, try: reports ETHER/libwww-perl-6.09.tar.gz
Download (untitled) / with headers
text/plain 200b
On Thu Feb 12 03:33:59 2015, SHAY wrote: Show quoted text
> The failure of the LWP test suite is a separate issue, which I will > log a new ticket for.
Now logged in https://rt.cpan.org/Ticket/Display.html?id=102083
I've lowered the recommendation on LWP::Protocol::https to suggests in version 6.10.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.